## wax.js 4.1.1+ds1

=== Makefile ===
UGLIFYJS = ./node_modules/.bin/uglifyjs
BANNER = ./node_modules/.bin/banner

dist: dist_setup dist/wax.ol.min.js dist/wax.g.min.js dist/wax.mm.min.js dist/wax.leaf.min.js lint

dist/wax.ol.min.js:
	cat build/header.js \
		ext/reqwest.min.js \
		ext/html-sanitizer-bundle.js \
		ext/html-sanitizer-loosen.js \
		ext/mustache.js \
		connectors/ol/*.js \
		control/lib/*.js \
		control/ol/*.js > dist/wax.ol.js
	$(UGLIFYJS) dist/wax.ol.js > dist/wax.ol.min.js

dist/wax.g.min.js:
	cat build/header.js \
		ext/reqwest.min.js \
		ext/html-sanitizer-bundle.js \
		ext/html-sanitizer-loosen.js \
		ext/mustache.js \
		control/lib/*.js \
		control/g/*.js \
		connectors/g/*.js > dist/wax.g.js
	$(UGLIFYJS) dist/wax.g.js > dist/wax.g.min.js

dist/wax.mm.min.js:
	cat build/header.js \
		ext/reqwest.min.js \
		ext/html-sanitizer-bundle.js \
		ext/html-sanitizer-loosen.js \
		ext/mustache.js \
		control/lib/*.js \
		control/mm/*.js \
		connectors/mm/*.js > dist/wax.mm.js
	$(UGLIFYJS) dist/wax.mm.js > dist/wax.mm.min.js

dist/wax.leaf.min.js:
	cat build/header.js \
		ext/reqwest.min.js \
		ext/html-sanitizer-bundle.js \
		ext/html-sanitizer-loosen.js \
		ext/mustache.js \
		control/lib/*.js \
		control/leaf/*.js \
		connectors/leaf/*.js > dist/wax.leaf.js
	$(UGLIFYJS) dist/wax.leaf.js > dist/wax.leaf.min.js

dist_setup:
	rm -rf dist
	rm -rf build
	mkdir dist
	mkdir build
	$(BANNER) package.json > build/header.js

doc:
	./node_modules/.bin/docco control/mm/*.js

ext:
	-test ! -d ext && mkdir ext
	wget --no-check-certificate http://openlayers.org/api/2.10/OpenLayers.js -O ext/OpenLayers.js
	wget --no-check-certificate https://raw.github.com/CloudMade/Leaflet/master/dist/leaflet.js -O ext/leaflet.js
	wget --no-check-certificate https://raw.github.com/CloudMade/Leaflet/master/dist/leaflet.css -O ext/leaflet.css
	wget --no-check-certificate https://raw.github.com/CloudMade/Leaflet/master/dist/leaflet.ie.css -O ext/leaflet.ie.css
	wget --no-check-certificate https://github.com/stamen/modestmaps-js/raw/v0.17.0/modestmaps.min.js -O ext/modestmaps.min.js

lint:
	./node_modules/.bin/jshint control/lib/*.js control/mm/*.js control/leaf/*.js --config=jshint.json

.PHONY: clean ext doc

=== debian/changelog ===
wax.js (4.1.1+ds1-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Thu, 17 Nov 2011 17:17:01 +0100

wax.js (4.1.0+ds1-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Wed, 02 Nov 2011 12:54:54 +0100

## wax.js 4.1.3+ds1

=== debian/changelog ===
wax.js (4.1.3+ds1-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Sat, 31 Dec 2011 12:42:52 +0100

=== debian/control ===
Source: wax.js
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , libnode-uglify | node-uglify
Standards-Version: 3.9.2
Homepage: http://mapbox.com/wax/
Vcs-Git: git://git.debian.org/collab-maint/wax.js.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/wax.js.git;a=summary

Package: libjs-wax
Architecture: all
Depends:
 ${misc:Depends}
 , libjs-reqwest
 , libjs-mustache
Recommends:
 javascript-common
 , libjs-openlayers
 , libjs-modestmaps
 , libjs-leaflet
Description: web maps visualization library
 Wax is a web maps visualization javascript library, which integrates
 with other libraries as OpenLayers, ModestMaps, Leaflet and GoogleMaps.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d+ -f1 | cut -d- -f1)

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGELOG.md

override_dh_auto_build:
	# Drop the need for node-banner, which is a tiny script and seems
	# not worthy for inclusion in Debian.
	[ -d build ] || mkdir build
	echo "/* wax.js - $(UPVER) */" > build/header.js
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/ dist/

get-orig-source:
	uscan --verbose \
		--download-version $(UPVER) \
		--force-download \
		--rename \
		--destdir .
	tar xf wax.js_$(UPVER).orig.tar.gz
	@echo Removing third-party embedded libs already in other packages
	@rm -rf package/ext/html-sanitizer-bundle.js \
		package/ext/html-sanitizer-min.js \
		package/ext/images/ \
		package/ext/leaflet* \
		package/ext/modestmaps* \
		package/ext/mustache* \
		package/ext/OpenLayers* \
		package/ext/reqwest* \
	@echo Downloading current version of html-sanitizer
	@wget http://google-caja.googlecode.com/svn/trunk/src/com/google/caja/plugin/html-sanitizer.js \
		-O package/ext/html-sanitizer.js
	@echo Removing _site
	@rm -rf package/_site/
	@echo Removing pre-compiled files
	@rm -rf package/dist/
	tar cf wax.js_$(UPVER)+ds1.orig.tar package/
	gzip -9 wax.js_$(UPVER)+ds1.orig.tar
	rm -rf package/ wax.js_$(UPVER).orig.tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
https://alioth.debian.org/~dapal/npmjs.php?id=wax \
	http://registry.npmjs.org/wax/-/wax-(\d+.*).tgz

## wax.js 5.0.1%2Bds2

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
http://githubredir.debian.net/github/mapbox/wax/v(\d+.*)\.tar\.gz

## wax.js 5.0.1+ds1

=== debian/changelog ===
wax.js (5.0.1+ds1-1) unstable; urgency=low

  * New upstream version
  * Point debian/watch to github
  * Updated debian/copyright
  * Standards-Version bump to 3.9.3, no changes needed

 -- David Paleino <dapal@debian.org>  Mon, 09 Apr 2012 23:39:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 8~)
  , libnode-uglify | node-uglify
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://mapbox.com/wax/
 Vcs-Git: git://git.debian.org/collab-maint/wax.js.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/wax.js.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifndef UPVER
UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d+ -f1 | cut -d- -f1)
endif

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGELOG.md

override_dh_auto_build:
	# Drop the need for node-banner, which is a tiny script and seems
	# not worthy for inclusion in Debian.
	[ -d build ] || mkdir build
	echo "/* wax.js - $(UPVER) */" > build/header.js
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/ dist/

get-orig-source:
	uscan --verbose \
		--download-version $(UPVER) \
		--force-download \
		--rename \
		--destdir .
	tar xf wax.js_$(UPVER).orig.tar.gz
	@echo Removing third-party embedded libs already in other packages
	@rm -rf mapbox-wax-*/ext/html-sanitizer-bundle.js \
		mapbox-wax-*/ext/html-sanitizer-min.js \
		mapbox-wax-*/ext/images/ \
		mapbox-wax-*/ext/leaflet* \
		mapbox-wax-*/ext/modestmaps* \
		mapbox-wax-*/ext/mustache* \
		mapbox-wax-*/ext/OpenLayers* \
		mapbox-wax-*/ext/reqwest* \
		mapbox-wax-*/ext/polymaps*
	@echo Downloading current version of html-sanitizer
	@wget http://google-caja.googlecode.com/svn/trunk/src/com/google/caja/plugin/html-sanitizer.js
	@mv html-sanitizer.js mapbox-wax-*/ext/
	@echo Removing _site
	@rm -rf mapbox-wax-*/_site/
	@echo Removing pre-compiled files
	@rm -rf mapbox-wax-*/dist/
	tar cf wax.js_$(UPVER)+ds1.orig.tar mapbox-wax-*/
	gzip -9 wax.js_$(UPVER)+ds1.orig.tar
	rm -rf mapbox-wax-*/ wax.js_$(UPVER).orig.tar.gz

## wax.js 5.0.1+ds2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 UGLIFYJS = ./node_modules/.bin/uglifyjs
 BANNER = ./node_modules/.bin/banner
 
-dist: dist_setup dist/wax.ol.min.js dist/wax.g.min.js dist/wax.mm.min.js dist/wax.leaf.min.js lint
+dist: dist_setup dist/wax.ol.min.js \
+	dist/wax.g.min.js dist/wax.mm.min.js \
+	dist/wax.leaf.min.js dist/wax.p.min.js lint
 
 dist/wax.ol.min.js:
 	cat build/header.js \
@@ -47,15 +49,19 @@
 		connectors/leaf/*.js > dist/wax.leaf.js
 	$(UGLIFYJS) dist/wax.leaf.js > dist/wax.leaf.min.js
 
+dist/wax.p.min.js:
+	cat build/header.js \
+		ext/reqwest.min.js \
+		control/lib/*.js \
+		connectors/p/*.js > dist/wax.p.js
+	$(UGLIFYJS) dist/wax.p.js > dist/wax.p.min.js
+
 dist_setup:
 	rm -rf dist
 	rm -rf build
 	mkdir dist
 	mkdir build
 	$(BANNER) package.json > build/header.js
-
-doc:
-	./node_modules/.bin/docco control/mm/*.js
 
 ext:
 	-test ! -d ext && mkdir ext
@@ -68,4 +74,4 @@
 lint:
 	./node_modules/.bin/jshint control/lib/*.js control/mm/*.js control/leaf/*.js --config=jshint.json
 
-.PHONY: clean ext doc
+.PHONY: clean ext

=== debian/changelog ===
wax.js (5.0.1+ds2-1) unstable; urgency=low

  * New repacked tarball
  * Make get-orig-source download an old revision of html4-defs.js to
    mimick the bundled version of html-sanitizer.js (Closes: #684480)
  * Standards-Version bump to 3.9.4, no changes needed
  * Drop B-D on libnode-uglify

 -- David Paleino <dapal@debian.org>  Thu, 20 Sep 2012 12:40:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 8~)
- , libnode-uglify | node-uglify
-Standards-Version: 3.9.3
+ , node-uglify
+Standards-Version: 3.9.4
 Homepage: http://mapbox.com/wax/
 Vcs-Git: git://git.debian.org/collab-maint/wax.js.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/wax.js.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -44,11 +44,14 @@
 		mapbox-wax-*/ext/polymaps*
 	@echo Downloading current version of html-sanitizer
 	@wget http://google-caja.googlecode.com/svn/trunk/src/com/google/caja/plugin/html-sanitizer.js
+	@echo Downloading revision 2832 of html4-defs.js
+	@wget http://google-caja.googlecode.com/svn-history/r2832/trunk/src/com/google/caja/plugin/html4-defs.js
+	@mv html4-defs.js mapbox-wax-*/ext/
 	@mv html-sanitizer.js mapbox-wax-*/ext/
 	@echo Removing _site
 	@rm -rf mapbox-wax-*/_site/
 	@echo Removing pre-compiled files
 	@rm -rf mapbox-wax-*/dist/
-	tar cf wax.js_$(UPVER)+ds1.orig.tar mapbox-wax-*/
-	gzip -9 wax.js_$(UPVER)+ds1.orig.tar
+	tar cf wax.js_$(UPVER)+ds2.orig.tar mapbox-wax-*/
+	gzip -9 wax.js_$(UPVER)+ds2.orig.tar
 	rm -rf mapbox-wax-*/ wax.js_$(UPVER).orig.tar.gz
